<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>AMC13: behavioral Architecture  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">AMC13
   </div>
   <div id="projectbrief">Firmwares for the different applications of the AMC13 uTCA board made at Boston University</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="classmemory__rnd.html">memory_rnd</a></li><li class="navelem"><a class="el" href="classmemory__rnd_1_1behavioral.html">behavioral</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">behavioral Architecture Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="classmemory__rnd_1_1behavioral-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Processes"></a>
Processes</h2></td></tr>
 <tr class="memitem:a39145e09ef59a9b7215a4e2d74202698"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a39145e09ef59a9b7215a4e2d74202698"></a>
<a class="el" href="classmemory__rnd_1_1behavioral.html#a39145e09ef59a9b7215a4e2d74202698">PROCESS_99</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">RST_PCIClk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">PCIe_clk</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:ac99058fc6b6ea51b23642cce05a1d249"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac99058fc6b6ea51b23642cce05a1d249"></a>
<a class="el" href="classmemory__rnd_1_1behavioral.html#ac99058fc6b6ea51b23642cce05a1d249">PROCESS_100</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">RST_LowClk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">low_clk</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:ac99635c1e2e4cedace214bd021f1db41"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac99635c1e2e4cedace214bd021f1db41"></a>
<a class="el" href="classmemory__rnd_1_1behavioral.html#ac99635c1e2e4cedace214bd021f1db41">PROCESS_219</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">RST_PCIClk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">PCIe_clk</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:ad812ed1584abfe37fe2757fc9b63d101"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad812ed1584abfe37fe2757fc9b63d101"></a>
<a class="el" href="classmemory__rnd_1_1behavioral.html#ad812ed1584abfe37fe2757fc9b63d101">PROCESS_220</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">RST_LowClk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">low_clk</span><span class="vhdlchar"> </span></b> )</b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Components"></a>
Components</h2></td></tr>
 <tr class="memitem:a2e407a0a519fd976bf93edca94dcf018"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2e407a0a519fd976bf93edca94dcf018"></a>
<a class="el" href="classmemory__rnd_1_1behavioral.html#a2e407a0a519fd976bf93edca94dcf018">fifo_generator_0</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  </td></tr>
<tr class="memdesc:a2e407a0a519fd976bf93edca94dcf018"><td class="mdescLeft">&#160;</td><td class="mdescRight">!!!!!!!!!!!!!!!!!!! XILINX Vivado VERSION !!!!!!!!!!!!!!!!!!!!! <br/></td></tr>
<tr class="memitem:a6f56843a28932dee6e9f26389900036a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6f56843a28932dee6e9f26389900036a"></a>
<a class="el" href="classmemory__rnd_1_1behavioral.html#a6f56843a28932dee6e9f26389900036a">resync</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  <em><a class="el" href="classresync.html">&lt;Entity resync&gt; </a></em></td></tr>
<tr class="memitem:a1e07f86ee67602b97e7408aae0962f81"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1e07f86ee67602b97e7408aae0962f81"></a>
<a class="el" href="classmemory__rnd_1_1behavioral.html#a1e07f86ee67602b97e7408aae0962f81">lpm_fifo</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  <em><a class="el" href="classlpm__fifo.html">&lt;Entity lpm_fifo&gt; </a></em></td></tr>
<tr class="memdesc:a1e07f86ee67602b97e7408aae0962f81"><td class="mdescLeft">&#160;</td><td class="mdescRight">!!!!!!!!!!!!!!!!!!! XILINX VERSION !!!!!!!!!!!!!!!!!!!!! <br/></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Signals"></a>
Signals</h2></td></tr>
 <tr class="memitem:afaaaaeb0c3c503ac9e34602b146217c6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afaaaaeb0c3c503ac9e34602b146217c6"></a>
<a class="el" href="classmemory__rnd_1_1behavioral.html#afaaaaeb0c3c503ac9e34602b146217c6">data_mux</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a4f00d43328c9e434a5648cc5cc3111d0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4f00d43328c9e434a5648cc5cc3111d0"></a>
<a class="el" href="classmemory__rnd_1_1behavioral.html#a4f00d43328c9e434a5648cc5cc3111d0">wen_mux</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aae68c4483a0499bc4439115d9c0d4c05"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aae68c4483a0499bc4439115d9c0d4c05"></a>
<a class="el" href="classmemory__rnd_1_1behavioral.html#aae68c4483a0499bc4439115d9c0d4c05">low_wen_sync</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a3f85fa4ab14af3e8349d565557c99e1b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3f85fa4ab14af3e8349d565557c99e1b"></a>
<a class="el" href="classmemory__rnd_1_1behavioral.html#a3f85fa4ab14af3e8349d565557c99e1b">end_evt_sync</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a45018f9867363a63560375bd2ba03117"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a45018f9867363a63560375bd2ba03117"></a>
<a class="el" href="classmemory__rnd_1_1behavioral.html#a45018f9867363a63560375bd2ba03117">fifo_dto</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a938dc8b15f51b9bd2aa76743ba567d21"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a938dc8b15f51b9bd2aa76743ba567d21"></a>
<a class="el" href="classmemory__rnd_1_1behavioral.html#a938dc8b15f51b9bd2aa76743ba567d21">timer</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a763f78046e823f6b510d2b939cf704b2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a763f78046e823f6b510d2b939cf704b2"></a>
<a class="el" href="classmemory__rnd_1_1behavioral.html#a763f78046e823f6b510d2b939cf704b2">timer_cnt</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a9ca7b8d32c39ec45bda1d04847dbd609"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9ca7b8d32c39ec45bda1d04847dbd609"></a>
<a class="el" href="classmemory__rnd_1_1behavioral.html#a9ca7b8d32c39ec45bda1d04847dbd609">trig</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a30115fd480caff48af5baec4123f7af1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a30115fd480caff48af5baec4123f7af1"></a>
<a class="el" href="classmemory__rnd_1_1behavioral.html#a30115fd480caff48af5baec4123f7af1">soft_reset</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Instantiations"></a>
Instantiations</h2></td></tr>
 <tr class="memitem:a59ffd2114660b203a14cc508dfb5fac2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a59ffd2114660b203a14cc508dfb5fac2"></a>
<a class="el" href="classmemory__rnd_1_1behavioral.html#a59ffd2114660b203a14cc508dfb5fac2">wen_resync</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>resync</b>  <em><a class="el" href="classresync.html">&lt;Entity resync&gt;</a></em></td></tr>
<tr class="memitem:a27ebdcee25a1e5c3b7dfb6997b529a8a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a27ebdcee25a1e5c3b7dfb6997b529a8a"></a>
<a class="el" href="classmemory__rnd_1_1behavioral.html#a27ebdcee25a1e5c3b7dfb6997b529a8a">End_evt_resync</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>resync</b>  <em><a class="el" href="classresync.html">&lt;Entity resync&gt;</a></em></td></tr>
<tr class="memitem:a59ffd2114660b203a14cc508dfb5fac2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a59ffd2114660b203a14cc508dfb5fac2"></a>
<a class="el" href="classmemory__rnd_1_1behavioral.html#a59ffd2114660b203a14cc508dfb5fac2">wen_resync</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>resync</b>  <em><a class="el" href="classresync.html">&lt;Entity resync&gt;</a></em></td></tr>
<tr class="memitem:abf1670af9a561609331a841ba66fd793"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abf1670af9a561609331a841ba66fd793"></a>
<a class="el" href="classmemory__rnd_1_1behavioral.html#abf1670af9a561609331a841ba66fd793">fifo_rnd</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>lpm_fifo</b>  <em><a class="el" href="classlpm__fifo.html">&lt;Entity lpm_fifo&gt;</a></em></td></tr>
<tr class="memdesc:abf1670af9a561609331a841ba66fd793"><td class="mdescLeft">&#160;</td><td class="mdescRight">!!!!!!!!!!!!!!!!!!! XILINX VERSION !!!!!!!!!!!!!!!!! <br/></td></tr>
<tr class="memitem:a27ebdcee25a1e5c3b7dfb6997b529a8a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a27ebdcee25a1e5c3b7dfb6997b529a8a"></a>
<a class="el" href="classmemory__rnd_1_1behavioral.html#a27ebdcee25a1e5c3b7dfb6997b529a8a">End_evt_resync</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>resync</b>  <em><a class="el" href="classresync.html">&lt;Entity resync&gt;</a></em></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="10Gb_2slink_2memory__rnd_8vhd_source.html#l00049">49</a> of file <a class="el" href="10Gb_2slink_2memory__rnd_8vhd_source.html">memory_rnd.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following files:<ul>
<li>/work/dan/AMC13/amc13-fw/src/CMS_DAQ_if/10Gb/slink/<a class="el" href="10Gb_2slink_2memory__rnd_8vhd_source.html">memory_rnd.vhd</a></li>
<li>/work/dan/AMC13/amc13-fw/src/CMS_DAQ_if/5Gb/slink/<a class="el" href="5Gb_2slink_2memory__rnd_8vhd_source.html">memory_rnd.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Sep 8 2021 11:22:43 for AMC13 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
